ROCM-PODMAN-CREATE(1)

NAME
rocm-podman-create - rocm-podman-create

DESCRIPTION
Create a container image suitable for running ROCm package autopkgtests.

IMAGE, if not specified, defaults to rocm/debian:RELEASE.

The container will have a regular (non-system) user 'user', who will be in all the necessary system groups.

  Synopsis:

    bin/rocm-podman-create -h

    bin/rocm-podman-create [-m MIRROR] [-r RELEASE] [-u USER] [IMAGE]

OPTIONS

-h  Show this help

-m MIRROR
    Download packages from here. This will be also used within the image. Ideally, this points to an APT cache on the host machine, such as apt-cacher-ng or approx.

-r RELEASE
    Release (default: 'unstable') If RELEASE is 'experimental', APT sources for both 'unstable' and 'experimental' will be added to the image.

    If RELEASE contains a dash, APT sources for the "basename"

    will be added, e.g.: 'bookworm-backports' will include sources for 'bookworm' and 'bookworm-backports'.

EXAMPLES

    # Configure the system for GPU-in-container use

    $ rocm-podman-setup -u <user>

    # Creates rocm/debian:unstable

    $ bin/rocm-podman-create

    # Same image as above, but tagged rocm/othertag

    $ bin/rocm-podman-create rocm/othertag

    # Creates rocm/debian:bookworm

    $ bin/rocm-podman-create -m http://10.1.2.3:9999/debian -r bookworm